::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# Seeking New Paths

</div>

## It\'s Golang

Oh wow, this is going to be a short one. I decided to pick up Golang on
a whim and I am pleasantly surprised. I have picked up Golang a few
times before, but it never clicked until this time, and oh boy did it
click this time. I love the strongly-typed nature of the language, and
how ergonomic everything is. Sure, there are some things that I would
miss from Python like list comprehensions, but when Golang is blazing
fast compiled, do I still miss them? I surely do not miss the
pre-optimization going on in my head whenever I write Python.

## It\'s The Little Things

Coming from the shithole called the Python packaging ecosystem, Golang
set me free. No longer do I have to suffer from pip refusing to install
packages, Poetry trying to do weird shit, using virtualenv to create
\"safe\" spaces; Golang allows me to do the most important part of
coding itself: the code. Dockerfiles with Python almost always devolve
into some unholy incantation of pip and some demonic workaround to \"get
it right\".

No longer do I have to start thinking about how Python would shank me
sideways for \"poor\" coding decisions; Golang coding styles are simple
but straightforward. Golang tests all function calls to make sure that
they match the type signatures. The development cycle is tight and fast.

I just spend an hour yesterday reading about how Flask only has one
event loop and one worker, how multiple requests are shared by one
worker, oh-my-what-a-terrible-decision-please-use-ASGIS, worrying about
having to move to a \"production\" quality server set up, and all that
noise. If I have to read one more \"comprehensive\" guide on asyncio,
threading, subprocesses, and how I need to do some convoluted set up
just to get concurrency, I\'d rather just git init a new Golang project.
On Golang, concurrency is already built into net/http.

## It\'s Coming I Swear

After countless of dead projects that my hard drive only knows of, I
feel like Golang has truly pushed my determination to places I\'ve never
been before. It\'s exhilarating and exciting. Experienced Golang devs,
let me have thismoment, before I crawl back into the depths of Python.

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-018.html)

</div>

<div>

[Next](blog-020.html)

</div>
:::

> Woo-wee! Evil Morty! That was quite a scheme. Makes me wonder if
> there\'s an evil me out there. But I guess, sometimes I look at my
> life, and I may not even need 'im. Cuz, well, guess I made a pretty
> big mess of things myself. Ooo eee. I never got my job at the
> university back. Remember that? Rick made me do karate. It was kinda
> funny, but I guess things went downhill from there. Started isolating
> myself from Amy. Used to tell her everything I was feeling. But then I
> guess I stopped. Cuz I wanted her to love who she thought I was, not
> who I felt myself becoming. Ever think about how horrified the people
> we love would be if they found out who we truly are? So we just dig
> ourselves deeper, into our lies every day, ultimately only hurting the
> people who were brave enough to love us. Wish I didn\'t do that. Wish
> I was brave enough to love them back. I don\'t know. Maybe you should
> try it. We don\'t have as much time as we think. Ooo eee.\
> - Mr. Poopybutthole
