::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# A Taste of Progress

</div>

TLDR : I passed the CKA test. The test was not hard, but neither was it
a walk in the park.

Several months ago, I was in a slump, weighed down by the pandemic
situation. Figuring that there is not much I can do about my mental
wellbeing, perhaps it was time to face the fact I had two soon-to-expire
exam vouchers at hand. One of them was for the CKA test. After two
months of grind, I took the exam and passed it.

## KodeKloud

Realizing LF\'s course on Kubernetes was hot trash, I decided to
subscribe to KodeKloud and took Mumshad Mannambeth\'s course to assist
my learning process. This post can also be my personal review of the
course. The course content was pretty comprehensive. It had a gentle
learning curve to guide its students towards the course content, going
so far as to provide primers for topics that are pretty tough for
newbies. (Networking, openssl, etc) There were also plenty of lab
exercises for each topic that challenges the student to think harder.
Some tips are also provided to navigate the test quickly. Without the
course, I would have skimmed through a lot of details that were pretty
important. I was pretty satisfied with the value of the content in this
course.

Reviewing the site experience and design however, is where the shining
image of KodeKloud starts to show its rough edges. The quality of the
closed captions were atrocious. You see, I have the habit of watching at
1.5x speed assisted by closed captions; This is the learning mode where
I absorb material best. Any slower and I would start yawning. The closed
captions make me cringe every time I read it. Spelling errors are all
over the place, poor timings, and sometimes the captions are just
straight up missing. The video does not consider that the captions would
obscure its content, nor does the player provide a way to configure
transparency for the captions background, so I had to frequently pause
and unpause just to see what is under the captions. You took a 15 min
break to get some coffee? The video player would crash without saving
where you left off, so be prepared to refresh and rewatch the first few
minutes. Labs also frequently disconnect or fail to deploy, which can be
quite frustrating since I have waited several minutes for it to deploy.
These are only some of the issues that are present on KodeKloud.

If you are going to take the test, would I recommend this course?
Absolutely. It can be completed within a month. I do hope that KodeKloud
puts in more effort to polish their site however; This product is not
free after all.

## Practice, Practice, and What Else? Oh Yes, More Practice

Perhaps the toughest part of the CKA test was the time limit provided.
To prepare for the test, I reviewed the exam objectives multiple times.
Even though the syntax for kubectl commands are mostly consistent, I
practiced it to make sure I could rely on autocomplete reliably to
finish my commands. kubectl explain was essential to quickly fill in
memory gaps when filling out an especially long yaml file. (Looking at
you, deployments) During the test, there is not a lot of time to
\"figure things out\" and experiment a little. It was also important to
know where the yaml templates are for each API resource in the
Kubernetes documentation so that I did not have to retype everything.

## Some Thoughts

Kubernetes is a tool that divides the DevOps populace. Just visit your
nearest HN thread to learn all about the fierce debates surrounding it
and the latest startup trying to revolutionize container orchestration.
It is flexible, complex yet straightforward, and sufficiently large that
some find a beast that needs too much effort to tame. All in all, it is
a powerful tool to introduces as many complexities as many issues that
is solves. The everything-is-an-API-resource approach makes it
convenient to integrate with workflows, and the API resources that are
versioned and modular really helps with the mental model when
understanding k8s itself.

## One Step Forward

This certification may not be much, but it was a good and hearty dose of
happiness for myself; I am still the riding the high until this day. It
is proof of my efforts, the days and nights spent hammering away at the
keyboard, and that I have bettered myself. I can be more that I was
yesterday, and I will continue to do so. To you dear reader: if you are
taking the CKA test, I wish you the best of luck.

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-014.html)

</div>

<div>

[Next](blog-016.html)

</div>
:::

> The trouble is that we have a bad habit, encouraged by pedants and
> sophisticates, of considering happiness as something rather stupid.
> Only pain is intellectual, only evil interesting. This is the treason
> of the artist; a refusal to admit the banality of evil and the
> terrible boredom of pain.\
> - Ursula K. LeGuin, The Ones Who Walk Away from Omelas
